Subject: bug#49628: Compiling error after a successfully ./configure

From: "Brian C. Lane" <[email-masked]>
Date: Thu, 26 Aug 2021 15:44:35 -0700

On Sun, Jul 18, 2021 at 10:10:05PM +0200, Roberto A. Foglietta wrote:
> Hi all,
> 
>  I am trying to compile parted 3.4 with the following configuration:
> 
> ./configure --without-readline --disable-debug --disable-nls
> --disable-shared --enable-discover-only --disable-device-mapper
> 
>  however, make gives me a compile error. Instead with this, everything is
> fine
> 
> ./configure --without-readline --disable-debug --disable-nls
> --disable-shared --disable-device-mapper
> 
>  The difference is in
> 
>   -enable-discover-only
> 
>  and digging into the error
> 
> gpt.c: In function 'gpt_read':
> gpt.c:1075:35: error: 'write_back' undeclared (first use in this function)
>  1075 |   if (!_parse_header (disk, gpt, &write_back))
>       |                                   ^~~~~~~~~~
> gpt.c:1075:35: note: each undeclared identifier is reported only once for
> each function it appears in
> 
>  I found that variable is not defined when DISCOVER_ONLY is enabled

Will it build for you if you remove the DISCOVER_ONLY define surrounding
the write_back variable declaration? It's safe to declare, all the uses
of it are also disabled.

I can't get things to compile at all if I turn on discover mode on
Fedora so I can't test whether that's the only change needed.

Brian

-- 
Brian C. Lane (PST8PDT) - weldr.io - lorax - parted - pykickstart